> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Download document at order within agreement

GET https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versions/{versionId}/documents/{orderOrDisclosure}

Downloads a specific document from the agreement presented to the user.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage`

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/getagreementdocument

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, required) — The GUID of the elastic template.
- `orderOrDisclosure` (string, required) — The order of the document or consumer_disclosure.
- `versionId` (string, required) — The ID of the version. This value can be the version's GUID or the version string, such as `1.3`.

## Response

### 200

Successful response.

- `documentBase64` (string, optional) — The base64-encoded contents of the document.
- `documentDisplay` (string, optional) — Display type: link or document
- `documentHtml` (string, optional) — The HTML representation of the document.
- `documentName` (string, optional) — The name of the document.
- `fileExtension` (string, optional) — The file extension of the document.
- `mustRead` (boolean, optional) — **True** if the user needs to scroll to the end of the document.
- `mustView` (boolean, optional) — Reserved for Docusign.
- `order` (integer, optional) — The order of document layout.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Examples

**Response**

```json
{
  "documentBase64": "string",
  "documentDisplay": "string",
  "documentHtml": "string",
  "documentName": "string",
  "fileExtension": "string",
  "mustRead": true,
  "mustView": true,
  "order": 1
}
```